/*
//		A simple demonstration of the Microsoft C 6.0 stream capabilities
//		to a remote console using an interactive version of the Sieve
//		benchmark.
*/

#include	<stdlib.h>
#include	<conio.h>

#define	TRUE			1
#define	FALSE			0
#define	SIZE			8191

char	flags[ SIZE + 1 ] ;

void		main(void)
{
	register int	i, k, count ;
	unsigned	limit ;
	char		buf[20] ;

	/* Get the number of iterations */
	cprintf("\r\nSieve upper limit? ") ;
	while (1)   {
		buf[0] = 18 ;
		cgets(buf) ;
		limit = atoi(&buf[2]) ;
		if (limit >= 2 && limit <= SIZE)
			break ;
		cprintf("Enter a number between 2 and %u: ", SIZE) ;
	}

	/* Perform the initialization */
	count = 0 ;
	for (i = 0; i <= limit; i++)
		flags[i] = TRUE ;

	/* Run the Sieve */
	for (i = 2; i <= limit; i++)   {
		if (flags[i])   {
			/* Cancel out all multiples of this prime */
			for (k = i + i; k <= limit; k += i)
				flags[k] = FALSE ;
			count++ ;
		}
	}

	/* Display the count of primes */
	cprintf("%u primes found between 2 and %u\r\n", count, limit) ;
}
