/*
//		A demonstration of a simple ROMable application using
//		Paradigm LOCATE.  This code and be built with either
//		Borland C++ or Microsoft C/C++.
*/

#define	SIZE		1023		/* Numbers to search for primes */
typedef	enum	{
				FALSE,			/* Number is not a prime */
				TRUE				/* Number is a prime */
			} BOOL ;				/* Enums are better for debugging */

char	flags[SIZE+1] ;		/* The array of BOOL flags */

void		main(void)
{
	unsigned int	i, k, count ;

	/* Loop forever once started */
	for (;;)   {
		/* Set all numbers to prime before starting */
		for (count = i = 0; i <= SIZE; i++)
			flags[i] = TRUE ;

		/* Run the Sieve and remove the non-primes */
		for (i = 2; i <= SIZE; i++)   {
			if (flags[i])   {
				/* Cancel out all multiples of this prime */
				for (k = i + i; k <= SIZE; k += i)
					flags[k] = FALSE ;
				count++ ;
			}
		}
	}
}
