/*
//		A demonstration of the TDREM kernel.
*/

#define	TRUE			1
#define	FALSE			0
#define	SIZE			31

char	flags[ SIZE + 1 ] ;


void		main(void)
{
	unsigned int	i, k, count ;

	/* Run the Sieve forever */
	for (;;)   {
		/* Perform the initialization */
		count = 0 ;
		for (i = 0; i <= SIZE; i++)
			flags[i] = TRUE ;

		/* Run the Sieve */
		for (i = 2; i <= SIZE; i++)   {
			if (flags[i])   {
				/* Cancel out all multiples of this prime */
				for (k = i + i; k <= SIZE; k += i)
					flags[k] = FALSE ;
				count++ ;
			}
		}
	}
}
