/*
//		$Revision:   1.11  $
//		$Date:   02 Jul 1993 12:48:12  $
//
//		Paradigm Systems Turbo Debugger Remote Interface (TDREM)
//		Copyright (C) 1989-1993 Paradigm Systems.  All rights reserved.
//
//		Function		
//		========
//		Function prototypes for helper functions used by TDREM
*/

#if	!defined(_HELPERS)
#define	_HELPERS

#if	!defined(__TURBOC__)
#define	enable()			_enable()
#define	disable()		_disable()
#endif


/*
//		Function prototypes
*/
void		HLPRsetvect(unsigned int, void far *) ;
void far	*HLPRgetvect(unsigned int) ;

void		HLPRenable(void) ;
void		HLPRdisable(void) ;

unsigned long	HLPRllsh(unsigned long, unsigned int) ;
unsigned long	HLPRlrsh(unsigned long, unsigned int) ;

int 		HLPRinportb(unsigned int) ;
int 		HLPRinport(unsigned int) ;
void		HLPRoutportb(unsigned int, int) ;
void		HLPRoutport(unsigned int, int) ;

void		HLPRmovmem(void *, void *, unsigned) ;
void		*HLPRmemset(void *, unsigned, unsigned) ;
void		HLPRmovedata(unsigned, unsigned, unsigned, unsigned, unsigned) ;

void		HLPRint86(unsigned, unsigned) ;

#endif	/* _HELPERS */
